package cmd

import (
	"fmt"
	"os"

	"github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
	Use:   "sshtunnel",
	Short: "SSH tunnel manager",
	Long: `SSH Tunnel Manager is a CLI tool for creating and managing SSH tunnels.
It allows you to easily create, list, and terminate SSH port forwarding tunnels
in the background without having to remember complex SSH commands.`,
	Run: func(cmd *cobra.Command, args []string) {
		// If no subcommand is provided, print help
		cmd.Help()
	},
}

// Execute executes the root command
func Execute() {
	if err := rootCmd.Execute(); err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
}

func init() {
	// Global flags can be defined here
}